import React from 'react';
import MakeError from '../error/MakeError';
import { ErrorFallback } from '../ErrorFallback';
import { withErrorBoundary } from '../index';

const WithErrorBoundaryExample = withErrorBoundary(MakeError, {
  FallbackComponent: ErrorFallback,
  onError: (error, info) => console.log(error, info),
});

export default WithErrorBoundaryExample;
