import React from 'react';

import FallbackComponentexample from '@/common/errorBoundary/example/FallbackComponentexample';
import FallbackRenderexample from '@/common/errorBoundary/example/FallbackRenderexample';
import Fallbackexample from '@/common/errorBoundary/example/Fallbackexample';
import WithErrorBoundaryexample from '@/common/errorBoundary/example/WithErrorBoundaryexample';
import UseErrorHandlerexample from '@/common/errorBoundary/example/UseErrorHandlerexample';
import ResetKeysexample from '@/common/errorBoundary/example/ResetKeysexample';

const ExampleErrorBox = () => {
  return (
    <div className='App'>
      <h2>fallback 例子</h2>
      <Fallbackexample />

      <h2>FallbackComponent 例子</h2>
      <FallbackComponentexample />

      <h2>fallbackRender 例子</h2>
      <FallbackRenderexample />

      <h2>withErrorBoundary 例子</h2>
      <WithErrorBoundaryexample />

      <h2>useErrorHandler 例子</h2>
      <UseErrorHandlerexample />

      <h2>ResetKeys 例子</h2>
      <ResetKeysexample />
    </div>
  );
};

export default ExampleErrorBox;
