import React from 'react';
import { Row, Col } from 'antd';
import { Routes, Route, Navigate, Outlet, Link } from 'react-router-dom';

import Login from './login';
import Reg from './reg';

import './index.less';
import logo from '@/assets/images/logo.png';
import homeBanner from '@/assets/images/home_left_banner.png';

const User = () => {
  return (
    <div className='user-content'>
      <div className='form-container'>
        <div className="left-container"></div>
        <div className='form-field-box'>
          <div className='form-field'>
            <Outlet />
          </div>
        </div>
      </div>
    </div>
  );
};

export default User;
